Index: trunk/SophyaLib/Samba/spheregorski.h
===================================================================
--- trunk/SophyaLib/Samba/spheregorski.h	(revision 681)
+++ trunk/SophyaLib/Samba/spheregorski.h	(revision 682)
@@ -64,5 +64,5 @@
   nside MUST be a power of 2 (<= 8192)
 */
-SphereGorski(int m);
+SphereGorski(int_4 m);
 SphereGorski(const SphereGorski<T>& s, bool share=false);
 //!	Destructor
@@ -73,15 +73,15 @@
 /* Nombre de pixels du decoupage */
 /*!    Return number of  pixels of the  splitting */
-virtual int NbPixels() const;
-inline void setNbPixels(int n) {nPix_= n;}
+virtual int_4 NbPixels() const;
+inline void setNbPixels(int_4 n) {nPix_= n;}
 
 /* Valeur du contenu du pixel d'indice "RING" k  */
 /*!    Return value of  pixel with "RING" index k */
-virtual T& PixVal(int k);
-virtual T const& PixVal(int k) const;
+virtual T& PixVal(int_4 k);
+virtual T const& PixVal(int_4 k) const;
 
 /* Nombre de tranches en theta */ 
 /*!    Return number of slices in theta direction on the  sphere */
-int NbThetaSlices() const;
+int_4 NbThetaSlices() const;
 /*!   For a theta-slice with index 'index', return : 
 
@@ -92,5 +92,5 @@
     a vector containing the corresponding values of pixels 
 */
-void GetThetaSlice(int index,double& theta,TVector<double>& phi,TVector<T>& value) const;
+void GetThetaSlice(int_4 index,double& theta,TVector<double>& phi,TVector<T>& value) const;
 
 /* Return true if teta,phi in map  */
@@ -100,8 +100,8 @@
 /*!  Return "RING" index of the pixel corresponding to direction (theta, phi).
  */
-virtual int PixIndexSph(double theta,double phi) const;
+virtual int_4 PixIndexSph(double theta,double phi) const;
 
 /* Coordonnees spheriques du milieu du pixel d'indice "RING" k   */
-virtual void PixThetaPhi(int k,double& theta,double& phi) const;
+virtual void PixThetaPhi(int_4 k,double& theta,double& phi) const;
 
 /*! Set all pixels to value v */
@@ -115,5 +115,5 @@
    fulfil this requirement.
 */
-virtual double PixSolAngle(int dummy) const;
+virtual double PixSolAngle(int_4 dummy) const;
 inline void setPixSolAngle(double x) {omeg_= x;}
 
@@ -127,5 +127,5 @@
   nside MUST be a power of 2 (<= 8192)
 */
-virtual void Resize(int m);
+virtual void Resize(int_4 m);
 
 inline virtual char* TypeOfMap() const {return "RING";};
@@ -133,7 +133,7 @@
 /* Valeur du contenu du pixel d'indice "NEST" k */
 /*!    Return value of  pixel with "NESTED" index k */
-virtual T& PixValNest(int k);
+virtual T& PixValNest(int_4 k);
 /*!    Return value of  pixel with "NESTED" index k */
-virtual T const& PixValNest(int k) const;
+virtual T const& PixValNest(int_4 k) const;
 
 /* Indice "NEST" du pixel vers lequel pointe une direction definie par 
@@ -141,30 +141,30 @@
 /*! Return "NESTED" index of the pixel corresponding to direction (theta, phi).
  */
-virtual int PixIndexSphNest(double theta,double phi) const;
+virtual int_4 PixIndexSphNest(double theta,double phi) const;
 
 /* Coordonnees spheriques du milieu du pixel d'indice "NEST" k       */
 /*!   Return (theta,phi) coordinates of middle of  pixel with "NESTED" index k
  */
-virtual void PixThetaPhiNest(int k,double& theta,double& phi) const;
+virtual void PixThetaPhiNest(int_4 k,double& theta,double& phi) const;
 
 /* algorithme de pixelisation */
-void Pixelize(int); 
+void Pixelize(int_4); 
 
 /* convertit index nested en ring  */
 /*!    translation from NESTED index  into RING index */
-int NestToRing(int) const;
+int_4 NestToRing(int_4) const;
 
 /* convertit index ring en nested" */
 /*!    translation from  RING index  into NESTED index */
-int RingToNest(int) const;
+int_4 RingToNest(int_4) const;
 
 
 /* retourne/fixe la valeur du parametre Gorski */
-inline virtual int SizeIndex() const {return(nSide_);}
-inline void setSizeIndex(int n) {nSide_= n;}
+inline virtual int_4 SizeIndex() const {return(nSide_);}
+inline void setSizeIndex(int_4 n) {nSide_= n;}
 
 /* retourne les pointeurs /remplit les tableaux */
 inline const NDataBlock<T>* getDataBlock() const { return (&pixels_); }
-inline void setDataBlock(T* data,int m) { pixels_.FillFrom(m,data); }
+inline void setDataBlock(T* data,int_4 m) { pixels_.FillFrom(m,data); }
 
 /*  Acces to the DataBlock  */
@@ -182,15 +182,15 @@
 void InitNul();
 
-int  nest2ring(int nside,int ipnest) const;
-int  ring2nest(int nside,int ipring) const;
-
-int  ang2pix_ring(int nside,double theta,double phi) const;
-int  ang2pix_nest(int nside,double theta,double phi) const;
-void pix2ang_ring(int nside,int ipix,double& theta,double& phi) const;
-void pix2ang_nest(int nside,int ipix,double& theta,double& phi) const;
+int_4  nest2ring(int_4 nside,int_4 ipnest) const;
+int_4  ring2nest(int_4 nside,int_4 ipring) const;
+
+int_4  ang2pix_ring(int_4 nside,double theta,double phi) const;
+int_4  ang2pix_nest(int_4 nside,double theta,double phi) const;
+void pix2ang_ring(int_4 nside,int_4 ipix,double& theta,double& phi) const;
+void pix2ang_nest(int_4 nside,int_4 ipix,double& theta,double& phi) const;
 
 // ------------- variables internes -----------------------
-int nSide_;
-int nPix_;
+int_4 nSide_;
+int_4 nPix_;
 double omeg_;
 
@@ -234,8 +234,8 @@
 static PIXELS_XY& instance();
 
-NDataBlock<int> pix2x_;
-NDataBlock<int> pix2y_;
-NDataBlock<int> x2pix_;
-NDataBlock<int> y2pix_;
+NDataBlock<int_4> pix2x_;
+NDataBlock<int_4> pix2y_;
+NDataBlock<int_4> x2pix_;
+NDataBlock<int_4> y2pix_;
 
 private :
Index: trunk/SophyaLib/Samba/spherepos.cc
===================================================================
--- trunk/SophyaLib/Samba/spherepos.cc	(revision 681)
+++ trunk/SophyaLib/Samba/spherepos.cc	(revision 682)
@@ -1,5 +1,5 @@
 #include "spherepos.h"
 
-static char *head_spherepos_cc_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/Samba/spherepos.cc,v 1.2 1999-10-27 10:45:47 ansari Exp $";
+static char *head_spherepos_cc_ = "$Header: /Users/garnier/temp/CVSSophya/SophyaLib/Samba/spherepos.cc,v 1.3 1999-12-10 16:55:59 ansari Exp $";
 
 
@@ -69,5 +69,5 @@
 }
 
-UnitVector SpherePosition::Transform(const SphereCoordSys& cs) const
+UnitVector SpherePosition::Transform(const SphereCoordSys& /*cs*/) const
 {
 return(*this);
Index: trunk/SophyaLib/Samba/spherethetaphi.cc
===================================================================
--- trunk/SophyaLib/Samba/spherethetaphi.cc	(revision 681)
+++ trunk/SophyaLib/Samba/spherethetaphi.cc	(revision 682)
@@ -50,5 +50,5 @@
 //++
 template <class T>
-SphereThetaPhi<T>::SphereThetaPhi(int m)
+SphereThetaPhi<T>::SphereThetaPhi(int_4 m)
 
 //    m is the number of slices in theta on an hemisphere (the polar cap
@@ -68,7 +68,7 @@
   NTheta_= s.NTheta_;
   NPix_  = s.NPix_;
-  NPhi_  = new int[NTheta_];
+  NPhi_  = new int_4[NTheta_];
   Theta_ = new double[NTheta_+1];
-  TNphi_ = new int[NTheta_+1];
+  TNphi_ = new int_4[NTheta_+1];
   for(int k = 0; k < NTheta_; k++) 
     {
@@ -123,5 +123,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::Resize(int m)
+void SphereThetaPhi<T>::Resize(int_4 m)
 //   re-pixelize the sphere
 //--
@@ -134,5 +134,5 @@
 //++
 template <class T>
-int SphereThetaPhi<T>::NbPixels() const
+int_4 SphereThetaPhi<T>::NbPixels() const
 
 //    Return total number of pixels 
@@ -145,5 +145,5 @@
 //++
 template <class T>
-T& SphereThetaPhi<T>::PixVal(int k)
+T& SphereThetaPhi<T>::PixVal(int_4 k)
 
 //    Return value of pixel with index k
@@ -161,5 +161,5 @@
 //++
 template <class T>
-T const& SphereThetaPhi<T>::PixVal(int k) const
+T const& SphereThetaPhi<T>::PixVal(int_4 k) const
 
 //    Return value of pixel with index k
@@ -178,5 +178,5 @@
 //++
 template <class T>
-bool SphereThetaPhi<T>::ContainsSph(double theta, double phi) const
+bool SphereThetaPhi<T>::ContainsSph(double /*theta*/, double /*phi*/) const
 //--
 {
@@ -187,5 +187,5 @@
 //++
 template <class T>
-int SphereThetaPhi<T>::PixIndexSph(double theta, double phi) const
+int_4 SphereThetaPhi<T>::PixIndexSph(double theta, double phi) const
 
 //    Return index of the pixel corresponding to 
@@ -208,6 +208,6 @@
   dphi= DeuxPi/(double)NPhi_[i-1];
   
-  if (fgzn)  k= NPix_-TNphi_[i]+(int)(phi/dphi);
-  else k= TNphi_[i-1]+(int)(phi/dphi); 
+  if (fgzn)  k= NPix_-TNphi_[i]+(int_4)(phi/dphi);
+  else k= TNphi_[i-1]+(int_4)(phi/dphi); 
   return(k);
 }
@@ -216,5 +216,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::PixThetaPhi(int k,double& theta,double& phi) const
+void SphereThetaPhi<T>::PixThetaPhi(int_4 k,double& theta,double& phi) const
 
 //   Return (theta,phi) coordinates of middle of  pixel with  index k
@@ -250,5 +250,5 @@
 //++
 template <class T>
-double SphereThetaPhi<T>::PixSolAngle(int dummy) const
+double SphereThetaPhi<T>::PixSolAngle(int_4 /*dummy*/) const
 
 //    Pixel Solid angle  (steradians)
@@ -264,5 +264,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::Limits(int k,double& tetMin,double& tetMax,double& phiMin,double& phiMax) 
+void SphereThetaPhi<T>::Limits(int_4 k,double& tetMin,double& tetMax,double& phiMin,double& phiMax) 
 
 //   Return values of theta,phi which limit the pixel with  index k
@@ -317,5 +317,5 @@
 //++
 template <class T>
-int SphereThetaPhi<T>::NbThetaSlices() const
+int_4 SphereThetaPhi<T>::NbThetaSlices() const
 
 //    Return number of theta-slices on the sphere
@@ -330,5 +330,5 @@
 //++
 template <class T>
-int SphereThetaPhi<T>::NPhi(int kt) const
+int_4 SphereThetaPhi<T>::NPhi(int_4 kt) const
 
 //    Return number of pixels in phi-direction of the kt-th slice
@@ -353,5 +353,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::Theta(int kt,double& tetMin,double& tetMax) 
+void SphereThetaPhi<T>::Theta(int_4 kt,double& tetMin,double& tetMax) 
 
 //    Return  theta values which limit the slice kt
@@ -385,5 +385,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::Phi(int kt,int jp,double& phiMin,double& phiMax) 
+void SphereThetaPhi<T>::Phi(int_4 kt,int_4 jp,double& phiMin,double& phiMax) 
 
 //   Return values of phi which limit the jp-th pixel of the kt-th slice
@@ -416,5 +416,5 @@
 //++
 template <class T>
-int SphereThetaPhi<T>::Index(int kt,int jp) const
+int_4 SphereThetaPhi<T>::Index(int_4 kt,int_4 jp) const
 
 //    Return pixel index  with sequence index jp in the slice kt 
@@ -449,5 +449,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::ThetaPhiIndex(int k,int& kt,int& jp) 
+void SphereThetaPhi<T>::ThetaPhiIndex(int_4 k,int_4& kt,int_4& jp) 
 
 //    Return indices kt (theta) and jp (phi) of  pixel with index k
@@ -477,5 +477,5 @@
 //++
 template <class T>
-void  SphereThetaPhi<T>::Pixelize(int m) 
+void  SphereThetaPhi<T>::Pixelize(int_4 m) 
 
 //    achieve the splitting into pixels (m has the same signification 
@@ -507,9 +507,9 @@
   
   // Le nombre de pixels en phi de chacune des bandes en theta
-  NPhi_ = new int[m];
+  NPhi_ = new int_4[m];
   
   // Le nombre/Deuxpi total des pixels contenus dans les bandes de z superieur a une
   // bande donnee (mTPphi[m] contient le nombre de pixels total de l'hemisphere)
-  TNphi_= new int[m+1];
+  TNphi_= new int_4[m+1];
   
   // Calcul du nombre total de pixels dans chaque bande pour optimiser
@@ -524,5 +524,5 @@
     {
       TNphi_[j]= TNphi_[j-1]+NPhi_[j-1];
-      NPhi_[j] = (int)(.5+4.*(double)(m-.5)*sin(Pi*(double)j/(double)(2.*m-1.))) ;
+      NPhi_[j] = (int_4)(.5+4.*(double)(m-.5)*sin(Pi*(double)j/(double)(2.*m-1.))) ;
     }
   
@@ -556,5 +556,5 @@
 //++
 template <class T>
-void SphereThetaPhi<T>::GetThetaSlice(int index,double& theta, TVector<double>& phi, TVector<T>& value) const 
+void SphereThetaPhi<T>::GetThetaSlice(int_4 index,double& theta, TVector<double>& phi, TVector<T>& value) const 
 
 //    For a theta-slice with index 'index', return : 
@@ -593,23 +593,23 @@
 
 template <class T>
-void SphereThetaPhi<T>::setmNPhi(int* array, int m)
+void SphereThetaPhi<T>::setmNPhi(int_4* array, int_4 m)
   //remplit le tableau contenant le nombre de pixels en phi de chacune des bandes en theta 
   //
 {
-  NPhi_= new int[m];
+  NPhi_= new int_4[m];
   for(int k = 0; k < m; k++) NPhi_[k]= array[k];
 }
 
 template <class T>
-void SphereThetaPhi<T>::setmTNphi(int* array, int m)
+void SphereThetaPhi<T>::setmTNphi(int_4* array, int_4 m)
   //remplit  le tableau contenant le nombre/Deuxpi total des pixels contenus dans les bandes 
   //
 {
-  TNphi_= new int[m];
+  TNphi_= new int_4[m];
   for(int k = 0; k < m; k++) TNphi_[k]= array[k];
 }
 
 template <class T>
-void SphereThetaPhi<T>::setmTheta(double* array, int m)
+void SphereThetaPhi<T>::setmTheta(double* array, int_4 m)
   //remplit  le tableau contenant les valeurs limites de theta
   //
@@ -620,5 +620,5 @@
 
 template <class T>
-void SphereThetaPhi<T>::setDataBlock(T* data, int m)
+void SphereThetaPhi<T>::setDataBlock(T* data, int_4 m)
   // remplit  le vecteur des contenus des pixels 
 {
@@ -743,9 +743,9 @@
     }
 
-  int mNTheta;
+  int_4 mNTheta;
   is.GetI4(mNTheta);  
   dobj->setSizeIndex(mNTheta);
 
-  int mNPix;
+  int_4 mNPix;
   is.GetI4(mNPix);
   dobj->setNbPixels(mNPix);
@@ -755,10 +755,10 @@
   dobj->setPixSolAngle(mOmeg);
 
-  int* mNphi= new int[mNTheta];
+  int_4* mNphi= new int_4[mNTheta];
   is.GetI4s(mNphi, mNTheta);
   dobj->setmNPhi(mNphi, mNTheta);
   delete [] mNphi;
 
-  int* mTNphi= new int[mNTheta+1];
+  int_4* mTNphi= new int_4[mNTheta+1];
   is.GetI4s(mTNphi, mNTheta+1);
   dobj->setmTNphi(mTNphi, mNTheta+1);
@@ -788,6 +788,6 @@
   
   char strg[256];
-  int mNTheta= dobj->SizeIndex();
-  int mNPix  = dobj->NbPixels();
+  int_4 mNTheta= dobj->SizeIndex();
+  int_4 mNPix  = dobj->NbPixels();
  
   if(dobj->ptrInfo()) 
Index: trunk/SophyaLib/Samba/spherethetaphi.h
===================================================================
--- trunk/SophyaLib/Samba/spherethetaphi.h	(revision 681)
+++ trunk/SophyaLib/Samba/spherethetaphi.h	(revision 682)
@@ -31,5 +31,5 @@
     pet is a dummy parameter at the moment. 
 */
-SphereThetaPhi(int m);
+SphereThetaPhi(int_4 m);
 SphereThetaPhi(const SphereThetaPhi<T>& s, bool share=false);
 virtual ~SphereThetaPhi();
@@ -39,11 +39,11 @@
 /* retourne/fixe le nombre de pixels */ 
 /*!    Return total number of pixels  */
-virtual int NbPixels() const;
-inline void setNbPixels(int nbpix) { NPix_= nbpix; }
+virtual int_4 NbPixels() const;
+inline void setNbPixels(int_4 nbpix) { NPix_= nbpix; }
 
 /* retourne la valeur du pixel d'indice k */ 
 /*!    Return value of pixel with index k */
-virtual T&       PixVal(int k);
-virtual T const& PixVal(int k) const;
+virtual T&       PixVal(int_4 k);
+virtual T const& PixVal(int_4 k) const;
 
 /* Return true if teta,phi in map  */
@@ -51,9 +51,9 @@
 /* retourne l'indice du pixel a (theta,phi) */ 
 /*    Return index of the pixel corresponding to direction (theta, phi). */
-virtual int PixIndexSph(double theta, double phi) const;
+virtual int_4 PixIndexSph(double theta, double phi) const;
 
 /* retourne les coordonnees Spheriques du centre du pixel d'indice k */ 
 /*!   Return (theta,phi) coordinates of middle of  pixel with  index k */
-virtual void PixThetaPhi(int k, double& theta, double& phi) const;
+virtual void PixThetaPhi(int_4 k, double& theta, double& phi) const;
 
 /*! Setting pixel values to a constant */
@@ -67,15 +67,15 @@
     fulfil this requirement.
 */
-virtual double PixSolAngle(int dummy) const;
+virtual double PixSolAngle(int_4 dummy) const;
 inline void setPixSolAngle(double omega) { Omega_= omega; }
  
 /* retourne/fixe la valeur du parametre de decoupage m */ 
-inline virtual int SizeIndex() const { return( NTheta_); }
-inline void setSizeIndex(int nbindex) { NTheta_= nbindex; }
+inline virtual int_4 SizeIndex() const { return( NTheta_); }
+inline void setSizeIndex(int_4 nbindex) { NTheta_= nbindex; }
 
 // ------------- Specific methods  ----------------------
 
 /*!   re-pixelize the sphere */
-virtual void Resize(int m);
+virtual void Resize(int_4 m);
 
 inline virtual char* TypeOfMap() const {return "TETAFI";};
@@ -83,30 +83,30 @@
 /* Valeurs de theta des paralleles et phi des meridiens limitant le pixel d'indice k */
 /*   Return values of theta,phi which limit the pixel with  index k */
-virtual void Limits(int k,double& th1,double& th2,double& phi1,double& phi2);
+virtual void Limits(int_4 k,double& th1,double& th2,double& phi1,double& phi2);
 
 /* Nombre de tranches en theta */ 
 /*!    Return number of theta-slices on the sphere */
-int NbThetaSlices() const;
+int_4 NbThetaSlices() const;
 
 /* Nombre de pixels en phi de la tranche d'indice kt */ 
-int NPhi(int kt) const;
+int_4 NPhi(int_4 kt) const;
 
 /* Renvoie dans t1,t2 les valeurs respectives de theta min et theta max  */
 /* de la tranche d'indice kt  */ 
 /*!    Return  theta values which limit the slice kt */
-void Theta(int kt, double& t1, double& t2);
+void Theta(int_4 kt, double& t1, double& t2);
 
 /* Renvoie dans p1,p2 les valeurs phimin et phimax du pixel d'indice jp  */
 /* dans la tranche d'indice kt  */ 
 /*!   Return values of phi which limit the jp-th pixel of the kt-th slice */
-void Phi(int kt, int jp, double& p1, double& p2);
+void Phi(int_4 kt, int_4 jp, double& p1, double& p2);
 
 /* Renvoie l'indice k du pixel d'indice jp dans la tranche d'indice kt   */
 /*!   Return pixel index  with sequence index jp in the slice kt */
-int Index(int kt, int jp) const;
+int_4 Index(int_4 kt, int_4 jp) const;
 
 /* Indice kt de la tranche et indice jp du pixel d'indice k  */ 
 /*!    Return indices kt (theta) and jp (phi) of  pixel with index k */
-void ThetaPhiIndex(int k,int& kt,int& jp);
+void ThetaPhiIndex(int_4 k,int_4& kt,int_4& jp);
 
 /*!    achieve the splitting into pixels (m has the same signification 
@@ -121,5 +121,5 @@
     phi of the slice closest of the equator with z<0).
 */
-void Pixelize(int); 
+void Pixelize(int_4); 
 
 /*!   For a theta-slice with index 'index', return : 
@@ -131,21 +131,21 @@
     a vector containing the corresponding values of pixels 
 */
-void GetThetaSlice(int index,double& theta,TVector<double>& phi,TVector<T>& value) const; 
+void GetThetaSlice(int_4 index,double& theta,TVector<double>& phi,TVector<T>& value) const; 
 
 /*retourne le tableau contenant le nombre de pixels en phi de chacune des bandes en theta */
-inline const int* getmNPhi() const { return(NPhi_); }
-void setmNPhi(int* array, int m);
+inline const int_4* getmNPhi() const { return(NPhi_); }
+void setmNPhi(int_4* array, int_4 m);
 
 /* retourne/remplit le tableau contenant le nombre/Deuxpi total des pixels contenus dans les bandes */
-inline const int* getmTNphi() const { return(TNphi_); }
-void setmTNphi(int* array, int m);
+inline const int_4* getmTNphi() const { return(TNphi_); }
+void setmTNphi(int_4* array, int_4 m);
 
 /* retourne/remplit le tableau contenant les valeurs limites de theta */
 inline const double* getmTheta() const { return(Theta_); }
-void setmTheta(double* array, int m);
+void setmTheta(double* array, int_4 m);
 
 /* retourne le pointeur vers/remplit  le vecteur des contenus des pixels */ 
 inline const NDataBlock<T>* getDataBlock() const { return (&pixels_); }
-void setDataBlock(T* data, int m);
+void setDataBlock(T* data, int_4 m);
 
 /*  Acces to the DataBlock  */
@@ -163,9 +163,9 @@
 
 // ------------- variables internes ---------------------
-int NTheta_;
-int NPix_;
+int_4 NTheta_;
+int_4 NPix_;
 double Omega_;
-int* NPhi_;
-int* TNphi_;
+int_4* NPhi_;
+int_4* TNphi_;
 double* Theta_;
 NDataBlock<T> pixels_;
Index: trunk/SophyaLib/Samba/sphericalmap.h
===================================================================
--- trunk/SophyaLib/Samba/sphericalmap.h	(revision 681)
+++ trunk/SophyaLib/Samba/sphericalmap.h	(revision 682)
@@ -34,7 +34,7 @@
 // index characterizing the size pixelization : m for SphereThetaPhi
 // nside for Gorski sphere...
-virtual void Resize(int m)=0;
-virtual int NbThetaSlices() const=0;
-virtual void GetThetaSlice(int index,double& theta, TVector<double>& phi, TVector<T>& value) const=0; 
+virtual void Resize(int_4 m)=0;
+virtual int_4 NbThetaSlices() const=0;
+virtual void GetThetaSlice(int_4 index,double& theta, TVector<double>& phi, TVector<T>& value) const=0; 
 };
 #endif
Index: trunk/SophyaLib/Samba/syn2fast.cc
===================================================================
--- trunk/SophyaLib/Samba/syn2fast.cc	(revision 681)
+++ trunk/SophyaLib/Samba/syn2fast.cc	(revision 682)
@@ -3,4 +3,7 @@
 #include "lambuilder.h"
 #include "fftserver.h"
+#ifdef __MWERKS__
+#include "unixmac.h"
+#endif
 
 extern "C" {
Index: trunk/SophyaLib/Samba/unitvector.h
===================================================================
--- trunk/SophyaLib/Samba/unitvector.h	(revision 681)
+++ trunk/SophyaLib/Samba/unitvector.h	(revision 682)
@@ -17,5 +17,5 @@
   UnitVector(const Vector3d&);
   
-  virtual Vector3d& operator=(const Vector3d&);
+  /*virtual*/ Vector3d& operator=(const Vector3d&);  //$CHECK$ EA 101299 operator = non virtual
   virtual Vector3d& operator+=(const Vector3d&);
   virtual Vector3d& operator-=(const Vector3d&);
Index: trunk/SophyaLib/Samba/utilgeom.h
===================================================================
--- trunk/SophyaLib/Samba/utilgeom.h	(revision 681)
+++ trunk/SophyaLib/Samba/utilgeom.h	(revision 682)
@@ -3,6 +3,5 @@
 #include <math.h>
 #ifdef __MWERKS__
-   #include "mwerksmath.h"
-//   #include "unixmac.h"
+#include "unixmac.h"
 #endif
 #include <vector>
Index: trunk/SophyaLib/Samba/vector3d.h
===================================================================
--- trunk/SophyaLib/Samba/vector3d.h	(revision 681)
+++ trunk/SophyaLib/Samba/vector3d.h	(revision 682)
@@ -7,6 +7,5 @@
 #include <string.h>
 #ifdef __MWERKS__
-   #include "mwerksmath.h"
-//   #include "unixmac.h"
+#include "unixmac.h"
 #endif
 #include "longlat.h"
@@ -91,5 +90,5 @@
   Vector3d Rotate(const Vector3d& omega,double phi);
 
-  virtual Vector3d& operator=(const Vector3d&);
+  /*virtual*/ Vector3d& operator=(const Vector3d&); // $CHECK$ EA 101299
   virtual Vector3d& operator+=(const Vector3d&);
   virtual Vector3d& operator-=(const Vector3d&);
